<script lang="ts">
  import { getSuitCounts } from "../utils";

  export let players: Player[];
  export let loserId: PlayerId;

  $: identicalsRequiredToLose = players.length == 2 ? 5 : 4;

  $: loser = players.find((p) => p.id === loserId);
  $: suitCounts = loser ? getSuitCounts(loser.palmed) : new Map<Suit, number>();

  $: gotRequiredIdenticals = Array.from(suitCounts.values()).some(
    (c) => c >= identicalsRequiredToLose
  );
</script>

<section class="panel">
  {#if loser !== undefined}
    <h3>
      <gs6-user userid={loserId} />
      loses!
    </h3>
  {/if}
  {#if gotRequiredIdenticals}
    <em>
      They got
      {#if identicalsRequiredToLose === 5}
        {" five "}
      {:else}
        {" four "}
      {/if}
      of a kind.
    </em>
  {:else if loser !== undefined && loser.hand.length === 0}
    <em>They ran out of cards.</em>
  {/if}
</section>

<style>
  em {
    font-weight: 300;
  }
</style>
